# Copyright 2013 Canonical Ltd.  This software is licensed under the GNU
# Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type


from charmworld.reports import series_charm_growth
from charmworld.testing import (
    factory,
    MongoTestBase,
)


class TestReports(MongoTestBase):

    def test_series_charm_growth_reviewed(self):
        factory.makeCharm(self.db, promulgated=True)
        factory.makeCharm(self.db, promulgated=False)
        series = series_charm_growth(self.db)
        last_record = series.records()['series'][-1]
        self.assertEqual(1, last_record['ppa'])
        self.assertEqual(1, last_record['distro'])
